Show / Hide Table of Contents

# UniTaskSynchronizationContext Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class UniTaskSynchronizationContext : SynchronizationContext

##### Inheritance

System.Object → UniTaskSynchronizationContext

### Members

#### Methods

Name | Description
--- | ---
CreateCopy() |
OperationCompleted() |
OperationStarted() |
Post(SendOrPostCallback, Object) |
Send(SendOrPostCallback, Object) |

### Methods

#### CreateCopy()

    public override SynchronizationContext CreateCopy()

##### Returns

SynchronizationContext

#### OperationCompleted()

    public override void OperationCompleted()

#### OperationStarted()

    public override void OperationStarted()

#### Post(SendOrPostCallback, Object)

    public override void Post(SendOrPostCallback d, object state)

##### Parameters

`d` SendOrPostCallback
`state` System.Object

#### Send(SendOrPostCallback, Object)

    public override void Send(SendOrPostCallback d, object state)

##### Parameters

`d` SendOrPostCallback
`state` System.Object